components:
  schemas:

    CreateCheckout:
      type: object
      required:
        - class_id
        - callbacks
      properties:

        class_id:
          type: string
          format: uuid
          description: Class ID
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        callbacks:
          type: object
          required:
            - callback_success
            - callback_cancel
            - callback_expired
          properties:

            callback_success:
              type: string
              format: uri
              description: Success callback URL
              example: "https://app.mysite.com/payment/success"
            callback_cancel:
              type: string
              format: uri
              description: Cancel callback URL
              example: "https://app.mysite.com/payment/cancel"
            callback_expired:
              type: string
              format: uri
              description: Expiration callback URL
              example: "https://app.mysite.com/payment/expired"